Search the Community
Showing results for tags 'vertices'.
-
Hi All, I am trying to draw a pline by connecting all the vertices of the mline. Below is my code, but it gives an error saying; error: bad argument type: fixnump: (vl-load-com) (defun c:hl_mltopline () (setq mspace (vla-get-modelSpace (vla-get-activeDocument (vlax-get-acad-object) ) ) ) (setq ml (vlax-ename->vla-object (car (entsel "\nPick a multiline: ")) ) ) (setq coord (vlax-safearray->list (vlax-variant-value (vla-get-coordinates ml)))) (setq pl_points_safearray (vlax-make-safearray vlax-vbDouble pl_points_list)) (setq pline (vla-addlightweightpolyline mspace )) (entmod pline) ) Could someone please help me fix this? Thanks in advance..!!
-
List the vertices of MPolygon and create new vertices
jes_g posted a topic in AutoLISP, Visual LISP & DCL
Hi all, I am trying to write a LISP routine to list all the vertices of selected MPolygon. I have one MPolygon and 5 polylines. The sample drawing is attached. Basically, I want the program to create vertices on the MPolygon where the polylines touch the MPolygon (meaning there is no gap between them) and store the coordinates of all the vertices into a variable. Thank you Best wishes, Jes G sample_MPoly.dwg -
Hi guys, Bit of a strange request. I'm looking for something that will shift a selection of polygon vertices by a random amount for each vertex. In a perfect world I'd love to set a tolerance of say 5cm and have the vertices move in any x,y direction by random amounts up to 5cm. Any ideas would be appreciated. Cheers Dave
-
Lisp to delete multiple vertices between two points on polyline
Rambojazdude posted a topic in AutoLISP, Visual LISP & DCL
Hi folks. I'm looking for a lisp that effectively straightens out a polyline between two points. I know pedit has the straighten feature but you have to scroll to the points you need straightening between. I've also found that you can break/trim between two points and then rejoin, but ideally I'd like a lisp that does this automatically. It's more of an issue when editing associative hatch boundaries please see attached image for an example of the before and after scenario. Thanks RJD